Legrand / Raritan / Server Technology Xerus™ JSON-RPC API: test::Display Interface Reference

Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Classes | Public Types | Public Member Functions | List of all members
test::Display Interface Reference

Type-independent display test interface. More...

## Classes
struct | Info
| Collected display meta information. More...

## Public Types
enum | Orientation { NORMAL , FLIPPED , LEFT , RIGHT }
| Display orientation. More...
enum | TestStatus { TEST_IDLE , TEST_BUSY , TEST_PASSED , TEST_FAILED }
| Status of interactive test. More...

## Public Member Functions
Info | getInfo ()
| Retrieve display's meta information.
void | testSequence (in int cycleTime_ms)
| Execute a test sequence that is a bit more elaborate than just on and off all.
void | enterTestMode (in boolean showColorNames)
| Start an interactive test on units which support it.
TestStatus | getTestStatus ()
| Get the current status of the interactive test.

## Detailed Description

Type-independent display test interface.

Definition at line 15 of file TestDisplay.idl.

## Member Enumeration Documentation

## ◆ Orientation

enum test::Display::Orientation

Display orientation.

Enumerator
NORMAL | Normal orientation.
FLIPPED | Upside-down.
LEFT | Left side down.
RIGHT | Right side down.

Definition at line 18 of file TestDisplay.idl.

## ◆ TestStatus

enum test::Display::TestStatus

Status of interactive test.

Enumerator
TEST_IDLE | Test has not been started.
TEST_BUSY | Test is in progress.
TEST_PASSED | The test finished successfully.
TEST_FAILED | The test failed.

Definition at line 49 of file TestDisplay.idl.

## Member Function Documentation

## ◆ enterTestMode()

void test::Display::enterTestMode | ( | in boolean | showColorNames | ) |

Start an interactive test on units which support it.

Parameters

  showColorNames | Show names along with each tested color

## ◆ getInfo()

Info test::Display::getInfo | ( |  | ) |

Retrieve display's meta information.

Returns
  Display information

## ◆ getTestStatus()

TestStatus test::Display::getTestStatus | ( |  | ) |

Get the current status of the interactive test.

Returns
  Test status

## ◆ testSequence()

void test::Display::testSequence | ( | in int | cycleTime_ms | ) |

Execute a test sequence that is a bit more elaborate than just on and off all.

Parameters

  cycleTime_ms | Delay between state changes in ms

The documentation for this interface was generated from the following file:

- TestDisplay.idl